cancel
Showing results for 
Search instead for 
Did you mean: 

STM32cubeide 1.13.2 & cubeMX integrated

Fendo59
Associate III

I installed STM32CubeIDE 1.13.2 in the hope that the problem of the 1.13.1 release has been solved (see My old topic ) . Nothing the problem continues to exist. To make the integrated CubeMX work I have to open and close the IDE 3 or 4 times, also if it doesn't start I have to delete the home/user/workspace_1.13.2/.metadata directory. (for my system config see My old topic )

Thanks for your help.
Ferdinando

1 ACCEPTED SOLUTION

Accepted Solutions
Ghofrane GSOURI
ST Employee

Hello @Fendo59 

This issue is reported internally (Internal ticket number:165338) .

I will keep you posted with updates.

Thx

Ghofrane

View solution in original post

9 REPLIES 9
Ghofrane GSOURI
ST Employee

Hello @Fendo59 

First let me thank you for posting .

Could you please provide the log that is located in home/user/workspace_1.13.2/.metadata directory.  I need to check it to know about what might be causing the problem .

I will be waiting for your feedback.

Thx

Ghofrane

 

Hi,
First of all, thanks to you. I attach the logs as requested.
I use a workaround by deleting the /home/user/STM32CubeIDE/.metadata/org.eclipse.e4.workbench file but it doesn't always work right away.

Thanks again

F.D.

Here's the screenshot, it stays frozen like this

Ghofrane GSOURI
ST Employee

Hello @Fendo59 

Could you please provide your Ubuntu version.

Use the lsb_release -a command to display the Ubuntu version.

Thx

Ghofrane

HI @Ghofrane GSOURI 
here is my release: fendo@HP-250-G5:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 22.04.3 LTS
Release: 22.04
Codename: jammy

Note that the 1.12.0 release always works if every time I delete the "home/user/STM32CubeIDE/workspace_1.12.0/.matadata/.plugins/org.eclipse.e4.workbench" folder.

Thanks
Ferdinando

Ghofrane GSOURI
ST Employee

Hello @Fendo59 

This issue is reported internally (Internal ticket number:165338) .

I will keep you posted with updates.

Thx

Ghofrane

Hello @GSOURI
Thank you very much.

Fendo59

 

Fendo59
Associate III

@Semer CHERNI 

Here you can find the required files

Fendo59
Associate III

News!

I installed version 1.14.0, it worked fine 6 times, then it started showing the same problems. Since then it has gotten worse to the point that I have to delete the usual 4 folders, like for the previous release.

Good morning